import type { ProxyTargetDetailed, ServerOptions } from "./index";
import { type IncomingMessage as Request } from "http";
import type { Socket } from "net";
import * as urllib from "url";
export declare const isSSL: RegExp;
type Outgoing0 = ProxyTargetDetailed & ServerOptions;
export interface Outgoing extends Outgoing0 {
    method?: any;
    rejectUnauthorized?: boolean;
    path?: string;
    headers: {
        [header: string]: string | string[] | undefined;
    } & {
        overwritten?: boolean;
    };
}
export declare function setupOutgoing(outgoing: Outgoing, options: any, req: Request, forward?: string): Outgoing;
export declare function setupSocket(socket: Socket): Socket;
export declare function getPort(req: Request): string;
export declare function hasEncryptedConnection(req: Request): boolean;
export declare function urlJoin(...args: string[]): string;
export declare function rewriteCookieProperty(header: string | any[], config: object, property: string): any;
export declare function toURL(url: URL | urllib.Url | string | undefined): URL;
export {};
